<head>
    <title>LSV - Forum</title>
</head>

{% extends "base.html" %}
{% load static %}

{% block content %}

    <div>
        <h2> All themes in forum. </h2>
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:new_discussion"  %}"' type="button">Create new Discussion theme</button>
        </div>
        {% for discussion in discussions %}

        <div class="actuality-b">
            <a class="black" href="{% url 'club:discussion' discussion.id %}">
            <div style="text-align: center">
                <h3>{{ discussion.theme }}</h3>
            </div>

            <div class="row justify-content-md-center">
                <div class="col-sm-8">
                    <div style="min-height: 100px">
                        <p>{{ discussion.post|truncatechars:400 }}</p>
                        <div class="actuality-date">
                        <p class="actuality-sign">Created {{ discussion.posted|date:'H:i j-n-Y' }} by user {{ discussion.author }}.</p>
                        {% if not discussion.modified == discussion.posted %}
                            <p class="actuality-sign">Last modification: {{ discussion.modified|date:'H:i j-n-Y' }}.</p>
                        {% endif %}
                        {% for reaction in reactions %}
                            {% if discussion.id == reaction.reaction %}
                            <p class="actuality-sign">Reactions: {{ reaction.id__count }}</p>
                            {% endif %}
                        {% endfor %}
                        </div>
                    </div>


                </div>

                <div class="col-sm-4 actuality-image">
                    {% if discussion.image %}
                        <img src="{{ discussion.image.url }}" class="actuality-image" alt="Item image">
                    {% endif %}
                </div>
            </div>
            </a>

        {% if discussion.author == user %}
        <div style="text-align: center; margin-top: 10px; margin-bottom: 10px">
            <button onclick='location.href="{% url "club:edit_discussion" discussion.id %}"' type="button">Edit discussion theme</button>
        </div>
        {% endif %}

        </div>
        {% endfor %}
    </div>


{% endblock %}
